Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Fds::DiskData::File

struct Nes::Api::Fds::DiskData::File

File on disk.

Inner Classes, Typedefs, and Enums
`enum` | `Nes::Api::Fds::DiskData::File::Type` File type.

Field Summary
`ushort` | `address` File address.
`Data` | `data` File content.
`uchar` | `id` File ID.
`uchar` | `index` File index.
`char[ 12 ]` | `name` File name.
`Nes::Api::Fds::DiskData::File::Type` | `type` File type.

Constructor Summary
`File()`

Field Detail

### address

    public ushort address;

  File address.

### data

    public Data data;

  File content.

### id

    public uchar id;

  File ID.

### index

    public uchar index;

  File index.

### name

    public char name[ 12 ];

  File name.

### type

    public Nes::Api::Fds::DiskData::File::Type type;

  File type.

Constructor Detail

### File

    public File() throw();

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD